for /F "tokens=*" %%A IN ('datetime') do set dt=%%A
set srczip=.\version_history\maped_src_%dt%.7z
set binzip=.\version_history\maped_bin_%dt%.zip
7za a "%srczip%" *.dpr *.pas *.dfm *.cfg *.res *.dof data
7za a "%binzip%" MapEdRun.exe MapEd.dll data
7za a -sfx7z.sfx "maped_newest.exe" MapEdRun.exe MapEd.dll data
copy /Y "%binzip%" "maped_newest.zip"
pause